> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/qos-policy-group/deleteqospolicygroup.md).

# DeleteQosPolicyGroup

## 1. API Description

This API (DeleteQosPolicyGroup) is used to delete a QoS policy group. Ensure the group has no members before deletion.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type   | Description          |
| ---------------- | -------- | ------ | -------------------- |
| qosPolicyGroupId | Yes      | String | QoS policy group ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Delete a QoS policy group.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteQosPolicyGroup
<Common Request Params>

Request：
{
  "qosPolicyGroupId": "qos-xxxxxxxx"
}

Response：
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                | Description                                                   |
| ---------------- | ----------------------------------------- | ------------------------------------------------------------- |
| 404              | INVALID\_QOS\_POLICY\_GROUP\_NOT\_FOUND   | The QoS policy group does not exist.                          |
| 400              | INVALID\_QOS\_POLICY\_GROUP\_HAS\_MEMBERS | The QoS policy group still has members and cannot be deleted. |
